This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1018227 - Cannot retrieve evicted entries from Microsoft SQL Server 2012/2008R2
Cannot retrieve evicted entries from Microsoft SQL Server 2012/2008R2
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 7.0.0
Assigned To: Tristan Tarrant
Martin Gencur
:
: 1022916 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 09:55 EDT by Jakub Markos
Modified: 2015-07-08 05:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3618 Major Resolved Cannot retrieve evicted entries from Microsoft SQL Server 2012/2008R2 2017-03-05 14:40 EST

  None (edit)
Description Jakub Markos 2013-10-11 09:55:02 EDT
Please see the linked JIRA for more information.
Comment 2 JBoss JIRA Server 2013-10-11 10:16:00 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3618

Jakub, can you check which encoding is configured in the database you're testing (with admins)? If it's not UTF, then it might be a problem of the database server's configuration. AFAIK, Infinispan needs UTF-8.
Comment 3 JBoss JIRA Server 2013-10-21 11:06:06 EDT
Jakub Markos <jmarkos@redhat.com> made a comment on jira ISPN-3618

The encoding is SQL_Latin1_General_CP1_CI_AS . Microsoft SQL servers don't even support UTF-8.
Comment 4 JBoss JIRA Server 2013-10-23 02:55:24 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3618

Yeah, the Microsoft SQL server does not seem to support UTF-8. It means that for string-based cache stores only "String" can be used as a key. The other types (coverted with Key2StringMapper) cannot. AFAIK, it also means that string-based cache store cannot be used at all if data is stored via HotRod. That's because HotRod does not send plain strings.
Comment 6 JBoss JIRA Server 2013-10-23 03:03:27 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3618

The solution/workaround could be to convert the UTF-8 data to UCS-2 which is supported by MS SQL server, but only if MS SQL server is used. Otherwise UTF-8 could remain.
Comment 7 Jakub Markos 2013-10-24 05:26:59 EDT
*** Bug 1022916 has been marked as a duplicate of this bug. ***
Comment 8 Alan Field 2014-12-17 09:50:55 EST
Microsoft suggests storing the actual UTF-8 data on the server using the BINARY/VARBINARY/IMAGE columns, but that has its downsides too.

http://support.microsoft.com/kb/232580
Comment 9 Martin Gencur 2015-04-16 03:14:01 EDT
I was supposed to check with upstream Infinispan whether this has been fixed. I've just looked at the code of DefaultTwoWayKey2StringMapper and there hasn't been any change in two years. This means that the data is still prepended with '\uFEFF' which won't work with MS SQL Server.

Note You need to log in before you can comment on or make changes to this bug.